Reinforcement StirrupRebar/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "Arch: Rebar Stirrup")
 
(Updating to match new version of source page)
 
(35 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommandAddon|Name=Arch Rebar Stirrup|Workbenches=[[Arch Module|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_Helical|Helical Rebar]]}}


<div class="mw-translate-fuzzy">
==Description==
{{docnav/ro
|[[Arch_Rebar_BentShape/ro|Bent Shape Rebar]]
|[[Arch_Rebar_Helical/ro|Helical Rebar]]
|[[Arch_Workbench/ro|Arch]]
|IconL=Arch_Rebar_BentShape.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Rebar_Helical.svg
}}
</div>

<div class="mw-translate-fuzzy">
{{GuiCommand/ro
|Name/ro=Arch Rebar Stirrup
|MenuLocation=Arch → Rebar tools
|Workbenches=[[Arch Workbench/ro|Arch]], [[BIM Workbench/ro|BIM]]
|SeeAlso=[[Arch_Rebar_Helical/ro|Helical Rebar]], [[Arch Rebar/ro|Rebar]]
|Version=0.17
}}
</div>

<span id="Description"></span>
==Descriere==

<div class="mw-translate-fuzzy">
Instrumentul {{KEY|[[Image:Arch_Rebar_Stirrup.png|16px]] Stirrup Rebar}} permite utilizatorului să creeze un
stirrup reinforcing bar în elementul de structură.
</div>


This tool is part of the [[Reinforcement_Workbench|Reinforcement Workbench]], an [[External_workbenches|external workbench]] that can be installed with the [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr|Addon Manager]].
The {{KEY|[[Image:Arch_Rebar_Stirrup.png|16px]] Stirrup Rebar}} tool allows user to create a stirrup reinforcing bar in the structural element.


[[Image:Arch_Rebar_Stirrup_example.png|400px]]
<div class="mw-translate-fuzzy">
[[Image:Stirrup.png|800px]]
[[Image:Stirrup.png|800px]]
</div>


<span id="Usage"></span>
==How to use==
<div class="mw-translate-fuzzy">
== Cum se folosește ==
</div>


<div class="mw-translate-fuzzy">
# Create a [[Arch Structure|structure]] element
# Creează un element [[Arch Structure|structure]]
# Select any face of the structure
# Select any face of the structure
# Then select {{KEY|[[Image:Arch_Rebar_Stirrup.png|16px]] Stirrup Rebar}} from the rebar tools
# Then select {{KEY|[[Image:Arch_Rebar_Stirrup.png|16px]] Stirrup Rebar}} from the rebar tools
Line 20: Line 53:
# Pick selected face is used to verify or change the face for rebar distribution
# Pick selected face is used to verify or change the face for rebar distribution
# Click {{KEY|OK}} or {{KEY|Apply}} to generate the rebars
# Click {{KEY|OK}} or {{KEY|Apply}} to generate the rebars
# Click {{KEY|Cancel}} to exit the task panel
# Click pe {{KEY|Cancel}} ieșirea din task panel
</div>


[[Image:StirrupDialog.png|250px]]
==Properties==
{{Caption|Task panel for the tool}}


<span id="Properties"></span>
* {{PropertyData|Front Cover}}: The distance between rebar and selected face.
==Proprietăți==
* {{PropertyData|Right Cover}}: The distance between the right end of the rebar to right face of the structure.

* {{PropertyData|Left Cover}}: The distance between the left end of the rebar to the left face of the structure.
* {{PropertyData|Bottom Cover}}: The distance between rebar from the bottom face of the structure.
* {{PropertyData|Front Cover}}: Distanța dintre armături și fațetele selectate.
* {{PropertyData|Top Cover}}: The distance between rebar from the top face of the structure.
* {{PropertyData|Right Cover}}: Distanța între capătul dintre capătul dreapta al armăturii și fațeta dreapta a structurii.
* {{PropertyData|Left Cover}}: Distanța dintre capătul din stânga al armăturii și fațeta stângă a structurii
* {{PropertyData|Bottom Cover}}: Distanța dintre armătură și fațeta de jos a structurii.
* {{PropertyData|Top Cover}}: Distanța dintre armătură și fața superioară a structurii.
* {{PropertyData|Bent Angle}}: Bent angle defines the angle at the ends of a stirrup.
* {{PropertyData|Bent Angle}}: Bent angle defines the angle at the ends of a stirrup.
* {{PropertyData|Bent Factor}}: Bent Factor defines length of stirrup end.
* {{PropertyData|Bent Factor}}: Bent Factor defines length of stirrup end.
* {{PropertyData|Amount}}: The amount of rebars.
* {{PropertyData|Amount}}: Cantitatea de armătură
* {{PropertyData|Spacing}}: The distance between the axes of each bar.
* {{PropertyData|Spacing}}: Distanța dintre acele fiecărei bare.


==Scripting==
<span id="Scripting"></span>
<div class="mw-translate-fuzzy">
== Scrip-Programare ==
</div>


{{Emphasis|See also:}} [[Arch API|Arch API]], [[Reinforcement API|Reinforcement API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
The {{KEY|[[Image:Arch_Rebar_Stirrup.png|16px]] Stirrup Rebar}} tool can by used in [[macros]] and from the python console by using the following function:


<div class="mw-translate-fuzzy">
Instrumentul {{KEY|[[Image:Arch_Rebar_Stirrup.png|16px]] Stirrup Rebar}} poate fi utilizat în [[macros]] și de la consola Python prin utilizarea următoarei funcției:
</div>
{{Code|code=
{{Code|code=
Rebar = makeStirrup(l_cover, r_cover, t_cover, b_cover, f_cover,
makeStirrup(LeftCover, RightCover, TopCover, BottomCover, FrontCover, BentAngle, BentFactor, Diameter, Rounding, AmountSpacingCheck, AmountSpacingValue, Structure, Facename)
bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
structure=None, facename=None)
}}
}}

<div class="mw-translate-fuzzy">
* Adds a Stirrup reinforcing bar object to the given structural object.
* Adds a Stirrup reinforcing bar object to the given structural object.
* If no Structure and Facename is given, it will take user selected face as input.
* If no Structure and Facename is given, it will take user selected face as input.
* Here CoverAlong argument is having type tuple.
* Here CoverAlong argument is having type tuple.
* Returns the new Rebar object.
* Returns the new Rebar object.
</div>

<span id="Example"></span>
<div class="mw-translate-fuzzy">
Exemplu:
Crearea unei armături tip Stirrup rebar.
</div>


Example:
Creating Stirrup rebar.
{{Code|code=
{{Code|code=
import Arch, Stirrup
import Draft, Arch, Stirrup

structure = Arch.makeStructure(length=1000.0, width=400.0, height=400.0)
# It doesn't work if the structure is not based on a face
structure.ViewObject.Transparency = 80
# Structure = Arch.makeStructure(length=1000, width=400, height=400)

Rect = Draft.makeRectangle(400, 400)
Structure = Arch.makeStructure(Rect, height=1600)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()

rebar = Stirrup.makeStirrup(20, 20, 20, 20, 20, 135, 4, 8, 2, True, 10, structure, "Face6")
Rebar = Stirrup.makeStirrup(20, 20, 20, 20, 20,
115, 4, 8, 2, True, 10, Structure, "Face6")
}}
}}

Changing properties of Stirrup rebar.
=== Edition of the rebar ===

<div class="mw-translate-fuzzy">
Schimbarea proprietăților barei Stirrup.
</div>

{{Code|code=
editStirrup(Rebar, l_cover, r_cover, t_cover, b_cover, f_cover,
bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
structure=None, facename=None)
}}

* {{incode|Rebar}} is a previously created {{incode|StirrupRebar}} object.
* The other parameters are the same as required by the {{incode|makeStirrup()}} function.
* {{incode|structure}} and {{incode|facename}} may be omitted so that the rebar stays in the original structure.

{{Code|code=
{{Code|code=
import Stirrup
import Stirrup

Stirrup.editStirrup(rebar, 20, 20, 20, 20, 50, 90, 4, 8, 2, True, 6, structure, "Face6")
Stirrup.editStirrup(Rebar, 20, 20, 20, 20, 50,
100, 4, 14, 8, True, 8)
}}


<div class="mw-translate-fuzzy">
{{docnav/ro
|[[Arch_Rebar_BentShape/ro|Bent Shape Rebar]]
|[[Arch_Rebar_Helical/ro|Helical Rebar]]
|[[Arch_Workbench/ro|Arch]]
|IconL=Arch_Rebar_BentShape.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Rebar_Helical.svg
}}
}}
</div>


[[Category:External_Command_Reference{{#translation:}}]]
{{clear}}
[[Category:Reinforcement{{#translation:}}]]
{{Arch_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 21:45, 9 March 2024

Arch Rebar Stirrup

poziția meniului
Arch → Rebar tools
Ateliere
Arch, BIM
scurtătură
nici unul
Prezentat în versiune
0.17
A se vedea, de asemenea,
Helical Rebar, Rebar

Descriere

Instrumentul Stirrup Rebar permite utilizatorului să creeze un

stirrup reinforcing bar în elementul de structură.

This tool is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager.

Cum se folosește

  1. Creează un element structure
  2. Select any face of the structure
  3. Then select Stirrup Rebar from the rebar tools
  4. A task panel will pop-out on the left side of the screen as shown below
  5. Select the desired orientation
  6. Give the inputs like left cover, right cover, top cover, bottom, front cover, bent angle, bent factor, rounding and diameter of the rebar
  7. Select the mode of distribution either amount or spacing
  8. If spacing is selected, a user can also opt for custom spacing
  9. Pick selected face is used to verify or change the face for rebar distribution
  10. Click OK or Apply to generate the rebars
  11. Click pe Cancel ieșirea din task panel

Task panel for the tool

Proprietăți

  • DateFront Cover: Distanța dintre armături și fațetele selectate.
  • DateRight Cover: Distanța între capătul dintre capătul dreapta al armăturii și fațeta dreapta a structurii.
  • DateLeft Cover: Distanța dintre capătul din stânga al armăturii și fațeta stângă a structurii
  • DateBottom Cover: Distanța dintre armătură și fațeta de jos a structurii.
  • DateTop Cover: Distanța dintre armătură și fața superioară a structurii.
  • DateBent Angle: Bent angle defines the angle at the ends of a stirrup.
  • DateBent Factor: Bent Factor defines length of stirrup end.
  • DateAmount: Cantitatea de armătură
  • DateSpacing: Distanța dintre acele fiecărei bare.

Scrip-Programare

See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.

Instrumentul Stirrup Rebar poate fi utilizat în macros și de la consola Python prin utilizarea următoarei funcției:

Rebar = makeStirrup(l_cover, r_cover, t_cover, b_cover, f_cover,
                    bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
                    structure=None, facename=None)
  • Adds a Stirrup reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Here CoverAlong argument is having type tuple.
  • Returns the new Rebar object.

Exemplu: Crearea unei armături tip Stirrup rebar.

import Draft, Arch, Stirrup

# It doesn't work if the structure is not based on a face
# Structure = Arch.makeStructure(length=1000, width=400, height=400)

Rect = Draft.makeRectangle(400, 400)
Structure = Arch.makeStructure(Rect, height=1600)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = Stirrup.makeStirrup(20, 20, 20, 20, 20,
                            115, 4, 8, 2, True, 10, Structure, "Face6")

Edition of the rebar

Schimbarea proprietăților barei Stirrup.

editStirrup(Rebar, l_cover, r_cover, t_cover, b_cover, f_cover,
            bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
            structure=None, facename=None)
  • Rebar is a previously created StirrupRebar object.
  • The other parameters are the same as required by the makeStirrup() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import Stirrup

Stirrup.editStirrup(Rebar, 20, 20, 20, 20, 50,
                    100, 4, 14, 8, True, 8)